Results 1 to 8 of 8

Thread: AJUDA PARA UM INICIANTE

  1. #1
    Login to Give a bone
    0

    Question AJUDA PARA UM INICIANTE

    Boas pessoal.
    Estou a desenvolver uma aplicação para AutoCad, e preciso de uma rotina em AutoLisp, ou um SCRIP para o autocad que me faça o seguinte:

    Selecionar as entidades que limitam um ou vários Hatchs...

    E já agora uma outra que me selecione as entidades com a espessura de linha superior a um determinado valor.

    Desde já o meu obrigado...

    Cumps

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    From Google Translate...
    Good staff.
    I am developing an application for AutoCAD, and need a routine in AutoLISP, or a SCRIP for autocad I do the following:

    Select the entities that limit one or more Hatchs ...

    By the way I select a different entities with the line width greater than a certain value.

    Already my thanks ...

    Cumps
    Maybe this will help others to provide a solution.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Quote Originally Posted by Opie View Post
    From Google Translate...

    Maybe this will help others to provide a solution.

    Sorry, and tks.

  4. #4
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Even with translation into English, I must admit I don't understand what is the OP's LISP or SCRIPT request... To exclude hatches from selection set and select objects within window defined by point corners (imitation of line with width property), you can use :
    Code:
    (ssget "w" pt1 pt2 '((-4 . "<not") (0 . "HATCH") (-4 . "not>")))
    M.R.

    BTW. It seems that you asked the same question on CADTutor.net :
    Click here
    Last edited by marko_ribar; 2011-08-29 at 04:14 PM. Reason: BTW

  5. #5
    I could stop if I wanted to
    Join Date
    2009-03
    Location
    London, England
    Posts
    304
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Quote Originally Posted by marko_ribar View Post
    To exclude hatches from selection set
    Code:
    (ssget "w" pt1 pt2 '((-4 . "<not") (0 . "HATCH") (-4 . "not>")))
    Another way:

    Code:
    (ssget "_w" pt1 pt2 '((0 . "~HATCH")))

  6. #6
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Quote Originally Posted by Lee Mac View Post
    Another way:

    Code:
    (ssget "_w" pt1 pt2 '((0 . "~HATCH")))
    Tertiary example:

    Code:
    (ssget '((0 . "~HATCH")))


    Also, for completeness: Original thread
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  7. #7
    Active Member
    Join Date
    2012-07
    Posts
    56
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Hi Guys.
    I need onde lisp that calculates azimuth and distance of a polilyne, with the configuration of UNITS>DIRECTION CONTROL>NORTH. units.pngunits.png

    e.g. 45,20m 25°30'25"

    Thanks
    and sorry for my english, I'm brazilian.

  8. #8
    I could stop if I wanted to
    Join Date
    2005-06
    Location
    CORDOBA-ARGENTINA
    Posts
    275
    Login to Give a bone
    0

    Default Re: AJUDA PARA UM INICIANTE

    Hi RENDER MAN , if I understand ok.

    (ssget "_w" pt1 pt2 '((0 . "~HATCH")))

    It mean: ssget all , but not hatch

    What other character , than ~ do other tasks.?

    Thanks in advance

    Meanwhile , I went to the best Saint for LISPER , the SAINT HELP .

    Wild-card characters

    Character
    Definition

    # (pound)
    Matches any single numeric digit.

    @ (at)
    Matches any single alphabetic character.

    . (period)
    Matches any single nonalphanumeric character.

    * (asterisk)
    Matches any character sequence, including an empty one, and it can be used anywhere in the search pattern: at the beginning, middle, or end.

    ? (question mark)
    Matches any single character.

    ~ (tilde)
    If it is the first character in the pattern, it matches anything except the pattern.


    [...]
    Matches any one of the characters enclosed.

    [~...]
    Matches any single character not enclosed.

    - (hyphen)
    Used inside brackets to specify a range for a single character.

    , (comma)
    Separates two patterns.

    ` (reverse quote)
    Escapes special characters (reads next character literally).
    Last edited by devitg.89838; 2012-07-25 at 12:12 AM. Reason: Auto answer

Similar Threads

  1. 2014: AGRADECERÍA ALGÚN CONSEJO PARA CREAR DE CERO UN STANDARD BIM PARA REVIT MEP.
    By cansek7677234 in forum Revit Architecture - General
    Replies: 2
    Last Post: 2015-06-29, 08:39 AM
  2. AJUDA PARA UM INICIANTE
    By luiscarneirorm353485 in forum AutoLISP
    Replies: 0
    Last Post: 2011-08-29, 01:49 PM
  3. dwg para idw,ajuda urgente
    By hfsmangel314291 in forum AutoCAD General
    Replies: 1
    Last Post: 2011-02-01, 04:17 PM
  4. help para iniciante!!
    By montesanogoulart in forum AutoLISP
    Replies: 1
    Last Post: 2009-05-22, 06:58 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •